%define current_version 7.0.2

Summary: vztt_checker libraries for vzpkgenvs
Name: vztt_checker
Group: Applications/System
License: GPL
Version: %{current_version}
# This package is used inside vzpkgenv. We an't build it in vz9
# since it gets GLIBC_2.34 dependency which is absent in many envs.
# So we build it in some older env (e.g., vz8) and just hardcode the distsuffix
Release:        3.vz9
Source: %{name}-%{version}.tar.bz2

%description
vztt_checker libraries for vzpkgenvs

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
make DESTDIR=%buildroot install

%files
%defattr(-, root, root)
%attr(755,root,root) %_libexecdir/*.so

%changelog
* Fri Jan 11 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.2
 - Build vztt_checker_open32.so for 32-bit arch, see #PSBM-87337

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.1-2
- Rebuild in 7.3 environment

* Tue Dec 13 2016 Konstantin Volckov <wolf@virtuozzo.com> 7.0.1-1
- created, see #PSBM-53684
